Module java.corba
Package org.omg.PortableServer

## Class ServantRetentionPolicyValue

- java.lang.Object
- - org.omg.PortableServer.ServantRetentionPolicyValue

All Implemented Interfaces:
  Serializable, IDLEntity

    public class ServantRetentionPolicyValue
    extends Object
    implements IDLEntity

ServantRetentionPolicyValue can have the following values. RETAIN - to indicate that the POA will retain active servants in its Active Object Map. NON_RETAIN - to indicate Servants are not retained by the POA. If no ServantRetentionPolicy is specified at POA creation, the default is RETAIN.

### Field Summary

Fields
`static int` `_NON_RETAIN`
`static int` `_RETAIN`
`static ServantRetentionPolicyValue` `NON_RETAIN`
`static ServantRetentionPolicyValue` `RETAIN`

### Constructor Summary

Constructors
`protected` `ServantRetentionPolicyValue(int value)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static ServantRetentionPolicyValue` `from_int(int value)`
`int` `value()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _NON_RETAIN

    public static final int _NON_RETAIN

See Also:
  Constant Field Values

#### _RETAIN

    public static final int _RETAIN

See Also:
  Constant Field Values

#### NON_RETAIN

    public static final ServantRetentionPolicyValue NON_RETAIN

#### RETAIN

    public static final ServantRetentionPolicyValue RETAIN

### Constructor Detail

#### ServantRetentionPolicyValue

    protected ServantRetentionPolicyValue(int value)

### Method Detail

#### value

    public int value()

#### from_int

    public static ServantRetentionPolicyValue from_int(int value)